import * as $dara from '@darabonba/typescript';
export declare class ModifyDiskDeploymentResponseBody extends $dara.Model {
    /**
     * @remarks
     * The ID of the request.
     *
     * @example
     * D69846D9-F17F-51C0-8AC6-B4B71777****
     */
    requestId?: string;
    /**
     * @remarks
     * The ID of the disk migration task.
     *
     * @example
     * t-bp67acfmxazb4p****
     */
    taskId?: string;
    static names(): {
        [key: string]: string;
    };
    static types(): {
        [key: string]: any;
    };
    validate(): void;
    constructor(map?: {
        [key: string]: any;
    });
}
